# Uses of Class
org.eclipse.ui.views.markers.internal.MarkerType

Packages that use MarkerType
Package
Description
org.eclipse.ui.views.markers.internal

## Uses of MarkerType in org.eclipse.ui.views.markers.internal

Fields in org.eclipse.ui.views.markers.internal with type parameters of type MarkerType
Modifier and Type
Field
Description
`protected List<MarkerType>`
MarkerFilter.`rootTypes`
`protected List<MarkerType>`
MarkerFilter.`selectedTypes`
Methods in org.eclipse.ui.views.markers.internal that return MarkerType
Modifier and Type
Method
Description
`MarkerType[]`
MarkerType.`getAllSubTypes()`
`MarkerType[]`
MarkerType.`getAllSupertypes()`
Returns all this type's supertypes.
`MarkerType`
MarkerFilter.`getMarkerType(String id)`
Find the typeModel entry that matches id.
`MarkerType[]`
MarkerType.`getSubtypes()`
Returns the types which have this type as a direct supertype.
`MarkerType[]`
MarkerType.`getSupertypes()`
`MarkerType`
ContentGeneratorDescriptor.`getType(String typeId)`
Return the type for typeId.
`MarkerType`
MarkerTypesModel.`getType(String id)`
`MarkerType[]`
MarkerTypesModel.`getTypes()`
Methods in org.eclipse.ui.views.markers.internal that return types with arguments of type MarkerType
Modifier and Type
Method
Description
`Collection<MarkerType>`
ContentGeneratorDescriptor.`getMarkerTypes()`
Return the markerTypes for the receiver.
`List<MarkerType>`
MarkerFilter.`getRootTypes()`
Warning: for internal package use only.
`List<MarkerType>`
MarkerFilter.`getSelectedTypes()`
Warning: for internal package use only.
`Map<String,MarkerType>`
ContentGeneratorDescriptor.`getTypesTable()`
Get the table that maps type ids to markerTypes.
Methods in org.eclipse.ui.views.markers.internal with parameters of type MarkerType
Modifier and Type
Method
Description
`boolean`
MarkerType.`isSubtypeOf(MarkerType superType)`
Returns whether this marker type is considered to be a subtype of the given marker type.
Method parameters in org.eclipse.ui.views.markers.internal with type arguments of type MarkerType
Modifier and Type
Method
Description
`void`
MarkerFilter.`addAllSubTypes(List<MarkerType> types)`
List all types known to this MarkerFilter.
`boolean`
ContentGeneratorDescriptor.`allTypesSelected(Collection<MarkerType> selectedTypes)`
Return whether or not all of `MarkerTypesModel` are in the selectedTypes.
`void`
MarkerFilter.`setSelectedTypes(List<MarkerType> selectedTypes)`
Set the selected types.